Telegram APIAccount
account.registerDevice
Register device to receive PUSH notifications
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Register device to receive PUSH notifications
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.registerDevice" \ -H "Content-Type: application/json" \ -d '{ "params": { "tokenType": 0, "token": "string", "appSandbox": true, "secret": "string", "otherUids": [ 0 ] } }'{ "result": true}invalidateSignInCodes
Invalidate the specified login codes, see [here »](https://core.telegram.org/api/auth#invalidating-login-codes) for more info.
registerPasskey
Complete passkey registration for the current account, see [here »](https://core.telegram.org/api/passkeys#creating-a-passkey) for more info on the full flow.